"use strict";
const common_vendor = require("../../../../common/vendor.js");
const BILL_outstanding_fee_show_method = require("../method.js");
const BILL_outstanding_fee_show_model = require("../model.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../gen/Apis.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../common/libraries/naviHelper.js");
require("../../../../common/libraries/sendWxWork.js");
require("../../../../common/libraries/day.js");
if (!Array) {
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  _easycom_hs_button2();
}
const _easycom_hs_button = () => "../../../../components/hs-button/hs-button.js";
if (!Math) {
  _easycom_hs_button();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "PageFooter",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
      return common_vendor.e({
        a: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value < 1
      }, common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value < 1 ? common_vendor.e({
        b: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 0
      }, common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 0 ? common_vendor.e({
        c: (_c = (_b = (_a = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _a.houseBillsData) == null ? void 0 : _b.value) == null ? void 0 : _c.length
      }, ((_f = (_e = (_d = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _d.houseBillsData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {
        d: common_vendor.t(((_h = (_g = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _g.total_amount) == null ? void 0 : _h.value) || "0.00"),
        e: common_vendor.o((_i = common_vendor.unref(BILL_outstanding_fee_show_method.method)) == null ? void 0 : _i.handleQRCode),
        f: common_vendor.p({
          label: "二维码收款",
          size: "md",
          type: "ghost"
        }),
        g: common_vendor.o((_j = common_vendor.unref(BILL_outstanding_fee_show_method.method)) == null ? void 0 : _j.handleSelectExternalContact),
        h: common_vendor.p({
          type: "primary",
          size: "md",
          label: "分享账单"
        })
      } : {}) : {}) : {});
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-86c19eb0"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/show/components/PageFooter.vue"]]);
wx.createComponent(Component);
